#ifndef __GPIO_H
#define __GPIO_H

#include "stm32f10x.h"
#include <stdint.h>

//-----stałe--------//
//definicje linii - dopasuj do konkretnego projektu
  //PORT A
  #define D7          (1<<0)
  #define D6          (1<<1)
  #define D5          (1<<2)
  #define D4          (1<<3)
  #define D3          (1<<4)
  #define D2          (1<<5)
  #define D1          (1<<6)
  #define D0          (1<<7)
  #define VOLCTRL2    (1<<8)
  #define TX1         (1<<9)
  #define RX1         (1<<10)
  #define VOLCTRL1    (1<<11)
  #define VOLCTRL3    (1<<12)
  #define TMS         (1<<13)
  #define TCK         (1<<14)
  #define TDI         (1<<15)
  
  //PORT B
  #define CSB         (1<<0)
  #define CSA         (1<<1)
  #define RST_LCD     (1<<2)
  #define TDO         (1<<3)
  #define TRST        (1<<4)
  #define RST_SPDIF   (1<<5)
  #define SCL         (1<<6)
  #define SDA         (1<<7)
  #define LED_TOSLINK (1<<8)
  #define OE_SPDIF    (1<<9)
  #define TX3         (1<<10)
  #define RX3         (1<<11)
  #define ENC2A       (1<<12)
  #define ENC2B       (1<<13)
  #define KEY2        (1<<14)
  #define IN1         (1<<15)
    
  //PORT C
  #define AMANERO_DSD_ON    (1<<0)
  #define AUTO_AMANERO_CLK  (1<<1)
  #define AUTO_AMANERO_DATA (1<<2)
  #define LCD_ENABLE        (1<<3)
  #define RW                (1<<4)
  #define RS                (1<<5)
  #define LED1              (1<<6)
  #define LED2              (1<<7)
  #define VOLCTRL4          (1<<8)
  #define VOLCTRL5          (1<<9)
  #define DAC_L_DFZR        (1<<10)
  #define DAC_L_DFZL        (1<<11)
  #define DAC_R_DFZR        (1<<12)
  #define AMANERO_F1        (1<<13)
  #define AMANERO_F2        (1<<14)
  #define AMANERO_F3        (1<<15)
    
  //PORT D
  #define DAC_R_DFZL        (1<<0)
  #define MUTE              (1<<1)
  #define RST_DAC           (1<<2)
  #define LED_SPDIF         (1<<3)
  #define LED_AES_EBU       (1<<4)
  #define AUTO_SPDIF        (1<<5)
  #define AUTO_TOSLINK      (1<<6)
  #define AUTO_AES_EBU      (1<<7)
  #define IN2               (1<<8)
  #define IN3               (1<<9)
  #define IN4               (1<<10)
  #define IN5               (1<<11)
  #define IN6               (1<<12)
  #define IN7               (1<<13)
  #define AMANERO_DSD_MODE  (1<<14)
  #define AMANERO_MUTE      (1<<15)
    
  //PORT E
  #define OE_PCM        (1<<0)
  #define AUTO_PCM_CLK  (1<<1)
  #define AUTO_PCM_DATA (1<<2)
  #define OE_DSD        (1<<3)
  #define AUTO_DSD      (1<<4)
  #define OE_AMANERO    (1<<5)
  #define AMANERO_F0    (1<<6)
  #define BT_GPIO9      (1<<7)
  #define BT_GPIO2      (1<<8)
  #define BT_EN         (1<<9)
  #define PLL_LOCK      (1<<10)
  #define OE_BT         (1<<11)
  #define AUTO_BT       (1<<12)
  #define ENC1A         (1<<13)
  #define ENC1B         (1<<14)
  #define KEY1          (1<<15)

//używane peryferia - dopasuj do konkretnego projektu
  //ADC
//#define USE_ADC
  //I2C
  #define USE_I2C1
//  #define USE_I2C2
  //KEY
  #define USE_KEY
  //PWM
  #define USE_PWM
//RTG
//  #define USE_RTG
 //SPI
//  #define USE_SPI1
//  #define USE_SPI2
//USART
  #define USE_USART1 
//  #define USE_USART2
  #define USE_USART3
//  #define USE_UART4
//  #define USE_UART5

//-------makra-----------------//

#define GPIO_Set(port,pins)   ((port)->BSRR=(pins))
#define GPIO_Reset(port,pins) ((port)->BRR=(pins))
#define GPIO_Read(port)       ((port)->IDR)

#endif
