/*! 	\file i2c.h
	\author Tomasz Adamczyk
	\date 2011.12.02
	\version 1.0
	\brief Obsługa magistrali I2C - nagłowek
*/

#ifndef __I2C_H
#define __I2C_H

#include <stdint.h>
#include "stm32f10x.h"





//--------------stałe-----------------//
//ogólne
#define I2C_WAIT_TIME 1000 //100ms

//Funkcje
int8_t I2C_Initialize(I2C_TypeDef *port);
int16_t I2C_Write(I2C_TypeDef *port,uint8_t addr,uint8_t *data, uint8_t size);
int16_t I2C_WriteIadr(I2C_TypeDef *port,uint8_t addr,uint8_t iadr,uint8_t *data,uint8_t size);
int16_t I2C_Read(I2C_TypeDef *port,uint8_t addr,uint8_t *data, uint8_t size);
int16_t I2C_ReadIadr(I2C_TypeDef *port,uint8_t addr,uint8_t iadr,uint8_t *data,uint8_t size);


#endif